GDB (xrefs)

Public Member Functions | Public Attributes | Static Public Attributes | Static Private Attributes | List of all members
gdb.command.prompt._ExtendedPrompt Class Reference
Inheritance diagram for gdb.command.prompt._ExtendedPrompt:

## Public Member Functions
def | __init__ (self)
def | get_show_string (self, pvalue)
def | get_set_string (self)
def | before_prompt_hook (self, current)
def | __init__ (self)
def | get_show_string (self, pvalue)
def | get_set_string (self)
def | before_prompt_hook (self, current)

## Public Attributes
| value
| hook_set

## Static Public Attributes
| set_doc
| show_doc

## Static Private Attributes
| __doc__

## Detailed Description

    Set the extended prompt.

    Usage: set extended-prompt VALUE

    Substitutions are applied to VALUE to compute the real prompt.

    The currently defined substitutions are:

Definition at line 22 of file prompt.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.prompt._ExtendedPrompt.__init__ | ( |  | self | ) |

Definition at line 40 of file prompt.py.

Referenced by gdb.command.prompt._ExtendedPrompt.__init__().

## ◆ __init__() [2/2]

def gdb.command.prompt._ExtendedPrompt.__init__ | ( |  | self | ) |

Definition at line 40 of file prompt.py.

References gdb.command.prompt._ExtendedPrompt.__init__(), gdb.command.prompt._ExtendedPrompt.hook_set, gdb.command.prompt._ExtendedPrompt.value, addrmap_transition.value, arm_mapping_symbol.value, and token_and_value.value.

## Member Function Documentation

## ◆ before_prompt_hook() [1/2]

def gdb.command.prompt._ExtendedPrompt.before_prompt_hook | ( |  | self,
|  |  | current
| ) |  |

Definition at line 59 of file prompt.py.

References gdb.prompt.substitute_prompt(), gdb.command.prompt._ExtendedPrompt.value, addrmap_transition.value, arm_mapping_symbol.value, and token_and_value.value.

Referenced by gdb.command.prompt._ExtendedPrompt.before_prompt_hook(), and gdb.command.prompt._ExtendedPrompt.get_set_string().

## ◆ before_prompt_hook() [2/2]

def gdb.command.prompt._ExtendedPrompt.before_prompt_hook | ( |  | self,
|  |  | current
| ) |  |

Definition at line 59 of file prompt.py.

References gdb.command.prompt._ExtendedPrompt.before_prompt_hook(), gdb.prompt.substitute_prompt(), gdb.command.prompt._ExtendedPrompt.value, addrmap_transition.value, arm_mapping_symbol.value, and token_and_value.value.

## ◆ get_set_string() [1/2]

def gdb.command.prompt._ExtendedPrompt.get_set_string | ( |  | self | ) |

Definition at line 53 of file prompt.py.

References gdb.command.prompt._ExtendedPrompt.before_prompt_hook(), gdb.command.prompt._ExtendedPrompt.get_set_string(), and gdb.command.prompt._ExtendedPrompt.hook_set.

## ◆ get_set_string() [2/2]

def gdb.command.prompt._ExtendedPrompt.get_set_string | ( |  | self | ) |

Definition at line 53 of file prompt.py.

References gdb.command.prompt._ExtendedPrompt.before_prompt_hook(), and gdb.command.prompt._ExtendedPrompt.hook_set.

Referenced by gdb.command.prompt._ExtendedPrompt.get_set_string().

## ◆ get_show_string() [1/2]

def gdb.command.prompt._ExtendedPrompt.get_show_string | ( |  | self,
|  |  | pvalue
| ) |  |

Definition at line 47 of file prompt.py.

References gdb.command.prompt._ExtendedPrompt.get_show_string(), gdb.command.prompt._ExtendedPrompt.value, addrmap_transition.value, arm_mapping_symbol.value, and token_and_value.value.

## ◆ get_show_string() [2/2]

def gdb.command.prompt._ExtendedPrompt.get_show_string | ( |  | self,
|  |  | pvalue
| ) |  |

Definition at line 47 of file prompt.py.

References gdb.command.prompt._ExtendedPrompt.value, addrmap_transition.value, arm_mapping_symbol.value, and token_and_value.value.

Referenced by gdb.command.prompt._ExtendedPrompt.get_show_string().

## Member Data Documentation

## ◆ __doc__

gdb.command.prompt._ExtendedPrompt.__doc__
| static private

Definition at line 35 of file prompt.py.

## ◆ hook_set

gdb.command.prompt._ExtendedPrompt.hook_set

Definition at line 45 of file prompt.py.

Referenced by gdb.command.prompt._ExtendedPrompt.__init__(), and gdb.command.prompt._ExtendedPrompt.get_set_string().

## ◆ set_doc

gdb.command.prompt._ExtendedPrompt.set_doc
| static

Definition at line 37 of file prompt.py.

## ◆ show_doc

gdb.command.prompt._ExtendedPrompt.show_doc
| static

Definition at line 38 of file prompt.py.

## ◆ value

gdb.command.prompt._ExtendedPrompt.value

Definition at line 44 of file prompt.py.

Referenced by gdb-gdb.TypeFlag.__cmp__(), gdb.command.prompt._ExtendedPrompt.__init__(), gdb.command.prompt._ExtendedPrompt.before_prompt_hook(), and gdb.command.prompt._ExtendedPrompt.get_show_string().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/prompt.py